Bug 9775 - Navigator is registered as Communicator via vreg
Navigator is registered as Communicator via vreg
Status: CLOSED WONTFIX
Product: Red Hat Raw Hide
Classification: Retired
Component: netscape (Show other bugs)
1.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-02-25 04:31 EST by Moritz Barsnick
Modified: 2014-03-16 22:12 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-03-20 12:27:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Moritz Barsnick 2000-02-25 04:31:06 EST
I don't really know whether the "registration" via "vreg" is of any
importance, but:

In netscape-4.7-6, registration is done for the netscape-communicator
binary, even when packaging the netscape-navigator:

--snip from spec file--
echo 'Communicator,4.7.0.19990915,/usr/lib/netscape' > /tmp/infile
./vreg $RPM_BUILD_ROOT/usr/lib/netscape/registry /tmp/infile
--snip--

This "registry" file is then packaged into netscape-common.

According to the README.install in the new 4.72 Navigator tar.gz, the
registration string should be something like
'Navigator,4.72.0.20000131,/usr/local/netscape'.

BTW, IMHO, "/tmp/infile" should either have some more unique filename, or
be in $RPM_SOURCE_ROOT or the likes. (e.g.
"$RPM_SOURCE_ROOT/%{name}-%{version}-vreg-infile")

On another note, I would "install -m755" vreg instead of "cp -a"ing it. But
who really cares...
Comment 1 Bill Nottingham 2000-02-25 10:12:59 EST
AFAIK, it doesn't affect anything. We could move it
to the -communicator/-navigator subpacakges, but then
that would mean they would conflict with each other
if you had both installed.

Note You need to log in before you can comment on or make changes to this bug.